Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class ParseStatus

    java.lang.Object
      org.makumba.commons.ParseStatus

Direct Known Subclasses:
  RelationParseStatus

    public class ParseStatus

extends Object

Class used to store the status of the parser

Version:
  $Id: ParseStatus.java 3693 2009-02-11 00:38:34Z rosso_nero $
Author:
  Cristian Bogdan

Field Summary
`(package private) GraphTS` | `formGraph`
`(package private) String` | `formMakumbaURI`
`(package private) String` | `formPrefix`
`(package private) String` | `makumbaPrefix`
`(package private) String` | `makumbaURI`
`protected PageCache` | `pageCache`
`(package private) List<AnalysableTag>` | `parents`
`(package private) List<AnalysableTag>` | `tags`

Constructor Summary
`ParseStatus()`

Method Summary
`(package private) void` | `addTag(AnalysableTag t, TagData td)` Caches useful information for a tag in its TagData object and caches it in the pageCache.
`void` | `end(TagData td)` Handles the end of tags
`void` | `endPage()` Ends the analysis when the end of the page is reached.
`void` | `start(AnalysableTag t)` Handles the start of a tag by adding it to the parent list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### makumbaPrefix

    String makumbaPrefix

### formPrefix

    String formPrefix

### makumbaURI

    String makumbaURI

### formMakumbaURI

    String formMakumbaURI

### tags

    List<AnalysableTag> tags

### parents

    List<AnalysableTag> parents

### pageCache

    protected PageCache pageCache

### formGraph

    GraphTS formGraph

Constructor Detail

### ParseStatus

    public ParseStatus()

Method Detail

### addTag

    void addTag(AnalysableTag t,
                TagData td)

  Caches useful information for a tag in its TagData object and caches it in the pageCache.

  Parameters:
    `t` - the tag to be added
    `td` - the TagData where to which the tag should be added

### start

    public void start(AnalysableTag t)

  Handles the start of a tag by adding it to the parent list

  Parameters:
    `t` - the tag to be added

### end

    public void end(TagData td)

  Handles the end of tags

  Parameters:
    `td` - the TagData containing the information collected for the tag

### endPage

    public void endPage()

  Ends the analysis when the end of the page is reached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20